@echo off

rem	Master Bilt = mb, Norlake = nl
rem	this could be passed as an argument

set INSTANCE=mb

rem	DLC is the "standard" variable name for the Progress install directory
rem	many Progress utilities expect it to exist

set DLC=c:\epicor\oe101b

set DBDIR=z:\database\%INSTANCE%\live
set DBNAME=mfgsys

set BUDIR=L:\backup
set BUNAME=%INSTANCE%live


rem	doing it like this means that you will only replace the old file if
rem	there is a pbk file (presumably from yesterday) to replace it with

if exist %BUDIR%\BUNAME.pbk (

	if exist %BUDIR%\BUNAME.old (
		del  %BUDIR%\BUNAME.old
	)

	ren %BUDIR%\BUNAME.pbk %BUDIR%\BUNAME.old
)

rem	-com "compresses" the backup by skipping empty space within the db (it is NOT zip style compression)
rem	-Bp 10 uses "private buffers" to avoid flushing the db cache from memory

call %DLC%\bin\probkup online %DBDIR%\%DBNAME% %BUDIR%\%BUNAME%.pbk -com -Bp 10

