/* dbmonitor.p
 *
 * monitor databases, runs as a service in the background
 *
 */

{lib/protop.i}
{lib/protoplib.i}

/* dbgMode = 1	minimal
 * dbgMode = 3	errors
 * dbgMode = 4	errors + success
 * dbgMode = 5	verbose socket communications details (overkill)
 */

dbgMode = 2.

define variable updCheck        as integer   no-undo initial 300.		/* how long between checking for updates?		*/
define variable respawnInterval as integer   no-undo initial 300.		/* how long between checking for respawn?		*/

define variable monName      as character no-undo.

if integer( os-getenv( "UPDATECHECK" )) <> ? then
  updCheck = integer( os-getenv( "UPDATECHECK" )).

if integer( os-getenv( "RESPAWNCHECK" )) <> ? then
  respawnInterval = integer( os-getenv( "RESPAWNCHECK" )).

{ssg/sausage13.i}

return.
